Package org.codehaus.groovy.transform.stc

# Interface SignatureCodec

All Known Implementing Classes:
  `SignatureCodecVersion1`

public interface SignatureCodec
A signature codec is responsible for encoding and decoding of inferred returned types as stored in bytecode. The signature must contain an appropriate version number so that future versions of Groovy remain capable of decoding previous versions.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ClassNode`
  `decode(String signature)`
  `String`
  `encode(ClassNode node)`

- ## Method Details

  - ### encode

    String encode(ClassNode node)

  - ### decode

    ClassNode decode(String signature)